import { createApp } from 'vue'
import './style.css'
import App from './App.vue'
// import './utils/lib/meeting_api.js'
import './utils/lib/adapter.js'
import './utils/lib/meeting_api.js'
import './utils/lib/mcu.js'
import './utils/lib/meeting_camera_stream.js'
import './utils/lib/meeting_im.js'
import './utils/lib/meeting_invite.js'
import './utils/lib/meeting_vod.js'
// const jsModules = import.meta.glob('./utils/lib/*.js')
// // 加载所有以 `.module.js` 结尾的文件
// for (const path in jsModules) {
//     jsModules[path]().then((module) => {
//         console.log(`加载模块：${path}`, module)
//     })
// }
import Antd from 'ant-design-vue' // 引入 Ant Design Vue
import pinia from './stores'

const app = createApp(App)
app.use(pinia)
app.use(Antd).mount('#app')
